1. Ramp
Vortex
  • Documentation
    • Overview
    • Quick Start With The SDK
    • Authentication And Partner Keys
    • Ramp Lifecycle
    • Ephemeral Key Custody
    • Quotes And Pricing
    • Webhooks
    • Widget Integration
    • BRL / KYC notes
    • Sandbox
    • Production Checklist
    • AI Agent Integration
  • API Endpoints
    • Vortex Widget
      • Create widget session
    • Quotes
      • Create a new quote
      • Get existing quote
      • Create a quote for the best network
    • Ramp
      • Get ramp status
        GET
      • Get ramp error logs
        GET
      • Get ramp history for wallet address
        GET
      • Register new ramp process
        POST
      • Start ramp process
        POST
      • Update ramp process
        POST
    • Reference Data
      • Supported Countries
      • Supported Cryptocurrencies
      • Supported Fiat Currencies
      • Supported Payment Methods
    • Public Key
      • Public Key
    • Webhooks
      • Register Webhook
      • Delete Webhook
    • Account Management
      • Create user or retry KYC
      • Get user's KYC status
      • Get selfie liveness URL
      • Get KYC document upload URLs
      • Get user information
      • Get user's remaining transaction limits
      • Submit KYC level 1 data
      • Validate Pix key
    • Schemas
      • AccountMeta
      • AveniaDocumentType
      • AveniaKYCDataUploadRequest
      • AveniaKYCDataUploadResponse
      • BrlaAddress
      • BrlaErrorResponse
      • BrlaGetSelfieLivenessUrlResponse
      • BrlaValidatePixKeyResponse
      • CleanupPhase
      • CountryCode
      • CreateBestQuoteRequest
      • CreateQuoteRequest
      • CreateSubaccountRequest
      • CreateSubaccountResponse
      • DestinationType
      • DocumentUploadEntry
      • ErrorResponse
      • FiatToken
      • GetKycStatusResponse
      • GetRampErrorLogsResponse
      • GetRampHistoryResponse
      • GetRampHistoryTransaction
      • GetUserRemainingLimitResponse
      • GetUserResponse
      • GetWidgetUrlLocked
      • GetWidgetUrlRefresh
      • KYCDataUploadFileFiles
      • KYCDocType
      • KycLevel1Payload
      • KycLevel1Response
      • Networks
      • OnChainToken
      • PaymentData
      • PaymentMethod
      • PresignedTx
      • QuoteResponse
      • RampCurrency
      • RampDirection
      • RampErrorLog
      • RampPhase
      • RampProcess
      • RegisterRampRequest
      • SimpleStatus
      • StartKYC2Request
      • StartKYC2Response
      • StartRampRequest
      • TaxIdType
      • TriggerOfframpRequest
      • TriggerOfframpResponse
      • UnsignedTx
      • UpdateRampRequest
      • ValidatePixKeyResponse
  1. Ramp

Get ramp status

Production
Production
GET
/v1/ramp/{id}
Fetches an updated ramp process.

Request

Path Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/ramp/'
Response Response Example
{
    "anchorFeeFiat": "string",
    "anchorFeeUSD": "string",
    "countryCode": "string",
    "createdAt": "2019-08-24T14:15:22.123Z",
    "currentPhase": "initial",
    "depositQrCode": "string",
    "feeCurrency": "EUR",
    "from": "assethub",
    "id": "string",
    "inputAmount": "string",
    "inputCurrency": "string",
    "network": "assethub",
    "networkFeeFiat": "string",
    "networkFeeUSD": "string",
    "outputAmount": "string",
    "outputCurrency": "string",
    "partnerFeeFiat": "string",
    "partnerFeeUSD": "string",
    "paymentMethod": "string",
    "processingFeeFiat": "string",
    "processingFeeUSD": "string",
    "quoteId": "826e5192-f8c6-4e24-aab3-3910e46c52b7",
    "sessionId": "string",
    "status": "string",
    "to": "assethub",
    "totalFeeFiat": "string",
    "totalFeeUSD": "string",
    "transactionExplorerLink": "string",
    "transactionHash": "string",
    "type": "BUY",
    "unsignedTxs": [
        {
            "meta": {},
            "nonce": 0,
            "phase": "RampPhase",
            "signer": "string",
            "txData": "AAAAAKu...",
            "property1": "string",
            "property2": "string"
        }
    ],
    "updatedAt": "2019-08-24T14:15:22.123Z",
    "vortexFeeFiat": "string",
    "vortexFeeUSD": "string",
    "walletAddress": "string"
}
Modified at 2026-05-19 08:43:06
Previous
Create a quote for the best network
Next
Get ramp error logs
Built with